Summary: Exam-Env Server Part
Name: exam-env-server
Version: 0.3.99.2
Release: 1
URL: https://git.inf2.tuwien.ac.at/inf2/priv/sw/exam-env-server
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Applications/System
BuildArchitectures: noarch
Requires: bash-base >= 0.6.8
Requires: bash-range-expand >= 0.13
Requires: rsync
Requires: openssh-clients
Requires: sudo
# Requires: zkk-labs-ssh-host-keys

%description
Contains the exam-env server part.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{etc,usr/{bin,share/doc/%{name}-%{version}}} \
    %{buildroot}/usr/libexec/%{name} %{buildroot}/usr/share/%{name}
cp -a bin/. %{buildroot}/usr/bin/.
cp -a libexec/. %{buildroot}/usr/libexec/%{name}/.
cp -a etc/. %{buildroot}/etc/.
cp -a share/. %{buildroot}/usr/share/%{name}/.
cp -a doc/. %{buildroot}/usr/share/doc/%{name}-%{version}/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/*
/usr/libexec/%{name}
/usr/share/%{name}
/etc/sudoers.d/*
/etc/default/%{name}
%doc /usr/share/doc/%{name}-%{version}
